Kwalitee Indicator: use_warnings extra

This distribution does not 'use warnings;' (or its equivalents) in all of its modules. Note that this is not about that your modules actually warn when something bad happens. It's bad if nobody can tell if a module warns or not, without reading the source code of your favorite module that actually enforces warnings. In other words, it's bad if someone feels the need to add 'use warnings' to your modules.

How to fix

Add 'use warnings' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Yearly Statistics

Year Fails (Latest) Releases (Latest) Fails (CPAN) Releases (CPAN) Fails (BackPAN) Releases (BackPAN)
2019 956 4144 1846 8398 2656 11029
2018 614 2779 2037 9457 3452 15500
2017 667 3105 2153 9592 3933 16357
2016 539 2719 1995 9494 4880 19972
2015 481 2737 2266 10650 5190 22991
2014 519 2854 2612 11394 6322 27265
2013 538 2589 2541 11007 6294 25758
2012 438 2036 2409 9239 6243 22646
2011 508 2019 2619 8905 6619 21909
2010 484 2035 2407 7822 6950 22224

Latest Fails

Name Released by Released on
App-Greple-8.36 UTASHIRO 2019-11-15
App-LedgerUtils-0.04 PERLANCAR 2019-11-15
HTTP-Date-6.04 OALDERS 2019-11-15
Lab-Measurement-3.691 AKHUETTEL 2019-11-15
DBI-Shell-11.96 DLAMBLEY 2019-11-15
Thread-Tie-0.15 LNATION 2019-11-14
Gedcom-1.21 PJCJ 2019-11-14
Pcore-GeoIP-v1.7.0 ZDM 2019-11-14
App-IndonesianBankingUtils-0.143 PERLANCAR 2019-11-14
Pcore-v0.99.6 ZDM 2019-11-14
Pcore-v0.99.5 ZDM 2019-11-14
cPanel-PublicAPI-2.7 CPANEL 2019-11-14
cPanel-PublicAPI-2.6 CPANEL 2019-11-14
Pcore-v0.99.4 ZDM 2019-11-14
Finance-QuoteHist-1.29 MSISK 2019-11-14
Pcore-v0.99.3 ZDM 2019-11-13
HTTP-Date-6.03 OALDERS 2019-11-13
Archive-Ar-2.04 MITHR 2019-11-13
Pcore-v0.99.2 ZDM 2019-11-13
Archive-Ar-2.03 MITHR 2019-11-13
Pcore-CDN-Static-v0.61.1 ZDM 2019-11-13
Pcore-v0.99.1 ZDM 2019-11-13
Pcore-v0.99.0 ZDM 2019-11-13
Mail-DKIM-0.58 MBRADSHAW 2019-11-13
Tk-JBrowseEntry-5.23 TURNERJW 2019-11-13